%define upstream_name    Data-Morph
%define upstream_version 1.113280

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provides a Data::Morph backend for talking to objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::Core)
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Devel::PartialDump)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Params::Validate)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(SQL::Translator) >= 0.110.60
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::Morph is a module that provides a solution for translating data from
one source to another via maps and backends. It is written such that data
can be shifted both directions. The the /SYNOPSIS manpage demonstrates a
somewhat trivial example of using the the Data::Morph::Backend::Object
manpage and the Data::Morph::Backend::Raw manpage that round trips the
defaults out the Foo class to a hash and back again. Not shown is the other
shipped backend the Data::Morph::Backend::DBIC manpage which operates on
the DBIx::Class::Row manpage objects. If a more specialized backend is
needed take a look at consuming the Data::Morph::Role::Backend manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Nov 24 2011 kharec <kharec> 1.113.280-1.mga2
+ Revision: 171717
- update to 1.113280

* Thu Nov 24 2011 kharec <kharec> 1.113.270-1.mga2
+ Revision: 171612
- imported package perl-Data-Morph


* Thu Nov 24 2011 cpan2dist 1.113270-1mga
- initial mageia release, generated with cpan2dist
